namespace Pluto.Api {
    using System;
    using RemObjects.SDK;
    using RemObjects.SDK.Types;
    using RemObjects.SDK.Server;
    using RemObjects.SDK.Server.ClassFactories;
    using PlutoServer.MSL;
    using System.Linq;

    [RemObjects.SDK.Server.ClassFactories.StandardClassFactory()]
    [RemObjects.SDK.Server.Service(Name = "Provider", InvokerClass = typeof(Provider_Invoker), ActivatorClass = typeof(Provider_Activator))]
    public class Provider : RemObjects.SDK.Server.Service, IProvider {
        private System.ComponentModel.Container components = null;
        public Provider() :
            base() {
            this.InitializeComponent();
        }
        private void InitializeComponent() {
        }
        protected override void Dispose(bool aDisposing) {
            if(aDisposing) {
                if((this.components != null)) {
                    this.components.Dispose();
                }
            }
            base.Dispose(aDisposing);
        }

        #region IProvider Members

        public MailboxFolderInfo1[] GetMailboxFoldersInfo(string apiKey, int providerId) 
        {
			return null;		
        }

        public FolderItemInfo1[] GetMailboxItems(string apiKey, MailboxFolderTypeEnum folderType) 
        {
			return null;		
        }

        public MessageInfo1 GetMessage(string apiKey, long messageId) 
        {
			return null;		
        }

        public void SendMessage(string apiKey, MessageInfo1 message) 
        {
			return;		
        }

        #endregion
    }
}